Security Alerts: Spectre and Meltdown

January 04, 2018

Two security bugs were announced on January 3rd, Meltdown and Spectre these bugs affect most processors, Meltdown affects all Intel microprocessors, and Spectre affects all processors on the market.

We are continuously updating our systems with the latest available patches and monitoring updates from chip makers and operating system providers as they become available, and advise our customers to do the same.

How is Passpack affected?

Due to our security model, we do not receive or store your Packing Key (encryption key), so your passwords and other sensitive data stored with us should remain safe. We will keep you updated with any new information as it becomes available.

What you can do to protect yourself?

Immediately apply updates to your operating system and software as patches become available, there may be more than one patch, keep monitoring! As a best practice, after applying the updates, update your most important passwords (email, financial, social media, and medical) to mitigate your vulneratbility.

Two-factor authentication remains one of the most effective ways to protect your account from targeted attacks. Always enable 2FA for Passpack and other services.

You can read more about these vulnerabilities here

Related Posts:

Get started with Passpack Today!

  • Generous password limits (100)
  • Synchronized Access from any supported browser
  • 2 Factor authentication
  • Unlimited number of password shared to you)
  • Unlimited outgoing sharing to a single connection
  • Easy Import & Export